<?php
/*
-----------------------------------------
Автор: -=КотЭ=-(-=MTV=-) и Shot(Robber)
Бесплатный WAP движок: Strongcms
Контакты: 0664452670(МТС) ибо ICQ(7296000)
Файл: registr.php
-------------------------------------------
*/
//-----Создаем титл страницы-----//
$title = 'Регистрация';
//-----Подключаем функции-----//
require_once ('system/function.php');
//-----Подключаем вверх-----//
require_once ('system/header.php');
//-----Переадресация для авторизированых-----//
if(isset($user['id'])){
header('Location: /');
exit();
}

echo '<div class="title">Регистрация</div>';

$sql = mysql_fetch_assoc(mysql_query("SELECT * FROM `settings` WHERE `id` = '1'"));

if($sql['reg_on'] == 1){
echo err('Регистрация временно приостановлена!');
require_once ('system/footer.php'); exit;
}

//-----Если жмут submit(кнопку)-----//
if(isset($_REQUEST['reg']))
{
//-----Фильтрируем перемменые-----//
$login = strong($_POST['login']);
//-----Проверка на ввод логина-----//

if(empty($login)){
echo err('Вы не ввели логин!');
require_once ('system/footer.php'); exit;
}





//-----Проверка на занятость логина-----//
$sql = mysql_query("SELECT COUNT(`id`) FROM `users` WHERE `login` = '".$login."'"); 
if(mysql_result($sql, 0) > 0){
echo err('Такой логин уже существует!');
require_once ('system/footer.php'); exit;
}
$spec = strong($_POST['spec']);
//-----Фильтрируем перемменые-----//
$pass = strong($_POST['pass']);
//-----Проверка на ввод логина-----//
if(empty($pass)){
echo err('Вы не ввели свой пароль!');
require_once ('system/footer.php'); exit;
}

//-----Проверка на символы-----//
if (!preg_match('|^[a-z0-9\-]+$|i', $pass)){
echo err('Кириллица запрещена в пароле!');
require_once ('system/footer.php'); exit;
}

//-----Проверяем длину ввода-----//
if(mb_strlen($pass) > 25 or mb_strlen($pass) < 5){
echo err('Введите пароль от 5 до 25 символов!');
require_once ('system/footer.php'); exit;
}

//-----Фильтрируем перемменые-----//
$r_pass = strong($_POST['r_pass']);
//-----Если не одинаковые пароли-----//
if($pass != $r_pass){
echo err('Пароли не одинаковые!');
require_once ('system/footer.php'); exit;
}

//-----Фильтрируем перемменые-----//
$name = strong($_POST['name']);
//-----Проверка на ввод логина-----//
if(empty($name)){
echo err('Вы не ввели своё имя!');
require_once ('system/footer.php'); exit;
}

//-----Проверяем длину ввода-----//
if(mb_strlen($name) > 30 or mb_strlen($name) < 3){
echo err('Введите своё имя от 3 до 30 символов!');
require_once ('system/footer.php'); exit;
}

//-----Фильтрируем перемменые-----//
$sex = strong($_POST['sex']);
$email = strong($_POST['email']);

//-----Проверяем правильность ввода e-mail-----//
if (!preg_match('/[0-9a-z_\-]+@[0-9a-z_\-^\.]+\.[a-z]{2,6}/i', $email)) {
echo err('Формат e-mail введён не верно!');
require_once ('system/footer.php'); exit;
}

//-----Проверяем e-mail на занятость-----//
$sqlemail = mysql_query("SELECT COUNT(`id`) FROM `users` WHERE `email` = '".$email."'"); 
if (mysql_result($sqlemail, 0) > 0) {
echo err('Такой e-mail уже существует!');
require_once ('system/footer.php'); exit;
}

//-----Если всё нормально-----//
mysql_query("INSERT INTO `users` SET `login` = '".$login."',  `spec` = '".$spec."', `pass` = '".md5(md5(md5($pass)))."', `name` = '".$name."', `sex` = '".$sex."', `email` = '".$email."', `birth` = '01.01.1970', `style` = 'bysomon', `style2` = 'web', `datareg` = '".time()."', `level` = '0', `rating` = '0.01', `max` = '10'");
//-----Вычесляем id-----//
$uid = mysql_insert_id();
//-----Если модерация включена, то делаем запрос-----//
if($sql['reg_mod']==0){
	mysql_query("INSERT INTO `reg` SET `us`='".$uid."'");
}

		
echo '<div class="podmenu"><b>Вы успешно зарегистрировались!</b></div>
<div class="podmenu">Ваш автологин:<br /><textarea>'.$HOME.'/autolog.php?ulog='.$login.'&amp;upas='.$pass.'</textarea><br /></div>
<div class="podmenu"><a href="'.$HOME.'/autolog.php?ulog='.$login.'&amp;upas='.$pass.'"><b>Перейти на сайт</b></a></div>';
//-----Подключаем низ-----//
require_once ('system/footer.php');
exit();
}

//-----Форма ввода-----//
echo '<div class="podmenu">Перед регистрацией ,советуем Вам ,прочитать <a href="'.$HOME.'/rules.php">правила тут</a> чтобы не возникали проблемы с законом:)</div><div class="podmenu">
<form method="POST" action="">
Логин:<br /><input type="text" name="login" maxlength="20" /><br />
Пароль:<br /><input type="password" name="pass" maxlength="25" /><br />
Ещё раз:<br /><input type="password" name="r_pass" maxlength="25" /><br />
Е-mail:<br /><input type="text" name="email" maxlength="40" /><br />
Имя:<br /><input type="text" name="name" maxlength="30" /><br />
Пол:<br /><select name="sex"><option value="1">Мужской</option><option value="2">Женский</option></select><br/>
Специализация:<br />
<select name="spec">
<option value="0">Нечего не умею</option>
<option value="1">Кодер</option>
<option value="2">Дизайнер</option>
<option value="3">Хостер</option>
<option value="4">Ресселер</option>
<option value="5">Загрузчик скриптов</option>
<option value="6">Помощник новичкам</option>

</select><br/>

<input type="submit" name="reg" value="Регистрировать" />
</form></div>';
//-----Подключаем низ-----//
require_once ('system/footer.php');
?>